## grendel.mime.encoder
Class MimeUUEncoder

    java.lang.Object
      |
      +--grendel.mime.encoder.MimeEncoder
            |
            +--grendel.mime.encoder.MimeUUEncoder

public final class MimeUUEncoder
extends MimeEncoder

Implements a plaintext -> uuencode encoder.

Constructor Summary
`MimeUUEncoder(java.lang.String file_name)`

Method Summary
`void` | `eof(ByteBuf out)` Tell the uu encoder that no more input data will be forthcoming.
`void` | `translate(ByteBuf in, ByteBuf out)` Given a sequence of input bytes, produces a sequence of output bytes using uu encoding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeUUEncoder

    public MimeUUEncoder(java.lang.String file_name)

Method Detail

### translate

    public final void translate(ByteBuf in,
                                ByteBuf out)

  Given a sequence of input bytes, produces a sequence of output bytes using uu encoding. If there are bytes in `out' already, the new bytes are appended, so the caller should do `out.setLength(0)' first if that's desired.
  Overrides:
    translate in class MimeEncoder

### eof

    public final void eof(ByteBuf out)

  Tell the uu encoder that no more input data will be forthcoming. This may result in output, as a result of flushing the internal buffer. This object must not be used again after calling eof(). If there are bytes in `out' already, the new bytes are appended, so the caller should do `out.setLength(0)' first if that's desired.
  Overrides:
    eof in class MimeEncoder